Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Extension Class Referenceabstract

`#include <tls_extensions.h>`

Inheritance diagram for Botan::TLS::Extension:

## Public Member Functions
virtual bool | empty () const =0
virtual std::vector< uint8_t > | serialize () const =0
virtual Handshake_Extension_Type | type () const =0
virtual | ~Extension ()=default

## Detailed Description

Base class representing a TLS extension of some kind

Definition at line 50 of file tls_extensions.h.

## Constructor & Destructor Documentation

virtual Botan::TLS::Extension::~Extension | ( |  | ) |
| virtual default

## Member Function Documentation

virtual bool Botan::TLS::Extension::empty | ( |  | ) | const
| pure virtual

Returns
  if we should encode this extension or not

Implemented in Botan::TLS::Certificate_Status_Request, Botan::TLS::Encrypt_then_MAC, Botan::TLS::Extended_Master_Secret, Botan::TLS::SRTP_Protection_Profiles, Botan::TLS::Signature_Algorithms, Botan::TLS::Supported_Point_Formats, Botan::TLS::Supported_Elliptic_Curves, Botan::TLS::Session_Ticket, Botan::TLS::Application_Layer_Protocol_Notification, Botan::TLS::Renegotiation_Extension, and Botan::TLS::Server_Name_Indicator.

virtual std::vector<uint8_t> Botan::TLS::Extension::serialize | ( |  | ) | const
| pure virtual

Returns
  serialized binary for the extension

Implemented in Botan::TLS::Certificate_Status_Request, Botan::TLS::Encrypt_then_MAC, Botan::TLS::Extended_Master_Secret, Botan::TLS::SRTP_Protection_Profiles, Botan::TLS::Signature_Algorithms, Botan::TLS::Supported_Point_Formats, Botan::TLS::Supported_Elliptic_Curves, Botan::TLS::Session_Ticket, Botan::TLS::Application_Layer_Protocol_Notification, Botan::TLS::Renegotiation_Extension, and Botan::TLS::Server_Name_Indicator.

virtual Handshake_Extension_Type Botan::TLS::Extension::type | ( |  | ) | const
| pure virtual

Returns
  code number of the extension

Implemented in Botan::TLS::Certificate_Status_Request, Botan::TLS::Encrypt_then_MAC, Botan::TLS::Extended_Master_Secret, Botan::TLS::SRTP_Protection_Profiles, Botan::TLS::Signature_Algorithms, Botan::TLS::Supported_Point_Formats, Botan::TLS::Supported_Elliptic_Curves, Botan::TLS::Session_Ticket, Botan::TLS::Application_Layer_Protocol_Notification, Botan::TLS::Renegotiation_Extension, and Botan::TLS::Server_Name_Indicator.

Referenced by Botan::TLS::Extensions::add().

The documentation for this class was generated from the following file:

- src/lib/tls/tls_extensions.h